> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pay247.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve-Recheck

### Request URL

* `https://gateway.pay247.io/gateway/payout/approve `

### Request Method

* POST

### Request Parameters

| Parameter      | Must | Type   | Explanation                                      |
| :------------- | :--- | :----- | ------------------------------------------------ |
| mch\_id        | Yes  | string | Merchant ID                                      |
| mch\_order\_no | Yes  | string | Merchant Order NO.                               |
| action         | Yes  | string | confirm / reject                                 |
| timestamp      | Yes  | string | timestamp millisecond                            |
| version        | Yes  | string | v3.0                                             |
| uuid           | Yes  | string | Request ID: 550e8400-e29b-41d4-a716-446655440000 |
| sign           | Yes  | string | Signature                                        |

\*\*\* After rejected , the order status will be FAIL.
\*\*\* After confirmed , the order status will be PENDING->DEALING->(SUCCESS OR FAIL).

### Response data

| Parameter      | Must | Type   | Explanation                                 |
| :------------- | :--- | :----- | ------------------------------------------- |
| mch\_id        | Yes  | string | Merchant ID                                 |
| mch\_order\_no | Yes  | string | Merchant Order no                           |
| order\_no      | Yes  | string | System Order no                             |
| currency       | Yes  | string | Currency                                    |
| amount         | Yes  | string | Amount                                      |
| fee            | Yes  | string | Fee                                         |
| status         | Yes  | status | CONFIRMING, PENDING, DEALING, SUCCESS, FAIL |

### For example

```
{
  "code": 0,
  "message": "Success",
  "data": {
    "mch_id": "817710000",
    "mch_order_no": "202007070427475133333",
    "order_no": "202007070427475133333",
    "currency": "USD",
    "amount": "99.11",
    "fee": "3.60",
    "pay_method": "BANK",
    "status": "SUCCESS",
    "receipt": "",
    "utr": "",
    "error": "",
    "paid_at": 1594223433123
  }
}
```
